package superbal;

public class Game
{
  public World world;
  public Keyboard keyboard;
  public View view;
  public boolean EXIT_VM;

  public Game(boolean EXIT_VM)
  { world = new World(this);
    keyboard = new Keyboard(this);
    view = new View(this);
    this.EXIT_VM = EXIT_VM;
  }

  public void start()
  { System.out.print("starting game...");
    world.start();
    System.out.println("done");
  }

  public void end()
  { System.out.print("ending game...");
    view.end();
    world.end();
    world = null;
    keyboard = null;
    view = null;
    System.gc();
    System.out.println("done");
    if(EXIT_VM) System.exit(0);
  }

}
